Difference between revisions of "Fixing the "Can't find filesystemopendialog.dll" error"

From Valve Developer Community
Jump to: navigation, search
m
m (typo & minor tidy)
Line 1: Line 1:
 
[[Image:Cant-load-FileSystemOpenDialog-dll.png|right]] This is an error that occurs when starting the Hammer World Editor, and can be fixed by following the guide below.
 
[[Image:Cant-load-FileSystemOpenDialog-dll.png|right]] This is an error that occurs when starting the Hammer World Editor, and can be fixed by following the guide below.
[[Category:The Ship]]
 
  
 +
{{TODO|Check if this issue still exists with the most recent (non-beta) version of the SDK.}}
  
 
== Fixing the error ==
 
== Fixing the error ==
Line 14: Line 14:
  
  
=== SDK Update Fix ===
+
=== SDK update fix ===
Since the 7th November (2007) SDK update, you will encounter this error when using games that use the Episode One engine (HL2, CS:S, EP 1, and all mods). To fix this temporarely, you can switch back to the older engine until a fix is released:
+
Since the 7th November (2007) SDK update, you will encounter this error when using games that use the Episode One engine (HL2, CS:S, EP 1, and all mods). To fix this temporarily, you can switch back to the older engine until a fix is released:
  
 
# In Steam, right-click on ''Source SDK'' and choose ''Properties''.
 
# In Steam, right-click on ''Source SDK'' and choose ''Properties''.
Line 27: Line 27:
  
 
== See also ==
 
== See also ==
[[Source_SDK_SE2_Bugs|Source SDK SE2 Bugs]]
+
* [[Source_SDK_SE2_Bugs|Source SDK SE2 Bugs]]
  
 
[[Category:Source SDK FAQ]]
 
[[Category:Source SDK FAQ]]
 +
[[Category:The Ship]]

Revision as of 16:20, 14 February 2008

Cant-load-FileSystemOpenDialog-dll.png
This is an error that occurs when starting the Hammer World Editor, and can be fixed by following the guide below.

To do: Check if this issue still exists with the most recent (non-beta) version of the SDK.

Fixing the error

The error is caused by not having a local copy of this file, and can be fixed by doing the following:

  • Play Half-Life 2, Half-Life 2: Deathmatch, or Counter-Strike: Source.
  • Play the mod you're mapping/modding for (if you're mapping for a mod).
  • Check the GameInfo.txt file. Some mods use a certain game to run, and may not be set up properly.
  • In GameInfo.txt, when ToolsAppId is set to AppId, you may also experience this error. Try changing ToolsAppId.
  • If you are attempting to run Hammer on The Ship SDK and receive this error, you must execute the batch file to start the Source SDK.


SDK update fix

Since the 7th November (2007) SDK update, you will encounter this error when using games that use the Episode One engine (HL2, CS:S, EP 1, and all mods). To fix this temporarily, you can switch back to the older engine until a fix is released:

  1. In Steam, right-click on Source SDK and choose Properties.
  2. Under the General tab, click on the Set launch options... button.
  3. Type -engine ep1 in the dialog box, and click OK.
  4. Click on Close to return to the regular Steam window.

Note: There are other and eventually better work arounds, see Source SDK SE2 Bugs for more information.

To switch back to the new engine, follow the same steps as above, but instead type -engine orangebox into the dialog box.

See also